<?xml version='1.0' encoding='utf-8' standalone='yes' ?>
<exceptions>
  <exception
    package="com.google.android.apps.restore"
    sha256-cert-digest="56:BE:13:2B:78:06:56:FE:24:44:CD:34:32:6E:B5:D7:AA:C9:1D:20:96:AB:F0:FE:67:3A:99:27:06:22:EC:87">
    <!-- External storage -->
    <permission name="android.permission.READ_EXTERNAL_STORAGE" fixed="false"/>
    <permission name="android.permission.WRITE_EXTERNAL_STORAGE" fixed="false"/>
    <!-- Contacts -->
    <permission name="android.permission.READ_CONTACTS" fixed="false"/>
    <permission name="android.permission.WRITE_CONTACTS" fixed="false"/>
  </exception>

  <exception
    package="com.google.android.apps.assistant"
    sha256-cert-digest="43:0B:20:EB:61:96:7E:9C:5B:BE:02:59:9B:07:35:16:80:7D:AE:72:D7:86:FE:92:7F:48:96:B7:C7:F2:96:1F">
    <!-- Record audio -->
    <permission name="android.permission.RECORD_AUDIO" fixed="false"/>
  </exception>

  <exception
    package="com.google.android.apps.actionsservice"
    sha256-cert-digest="43:0B:20:EB:61:96:7E:9C:5B:BE:02:59:9B:07:35:16:80:7D:AE:72:D7:86:FE:92:7F:48:96:B7:C7:F2:96:1F">
    <!-- Record audio -->
    <permission name="android.permission.RECORD_AUDIO" fixed="false"/>
  </exception>

  <exception
    package="com.google.android.projection.gearhead"
    sha256-cert-digest="FD:B0:0C:43:DB:DE:8B:51:CB:31:2A:A8:1D:3B:5F:A1:77:13:AD:B9:4B:28:F5:98:D7:7F:8E:B8:9D:AC:EE:DF">
    <permission name="android.permission.ACCESS_FINE_LOCATION" fixed="false"/>
    <permission name="android.permission.CALL_PHONE" fixed="false"/>
    <permission name="android.permission.READ_CALL_LOG" fixed="false"/>
    <permission name="android.permission.READ_CONTACTS" fixed="false"/>
    <permission name="android.permission.READ_PHONE_STATE" fixed="false"/>
    <permission name="android.permission.RECEIVE_SMS" fixed="false"/>
    <permission name="android.permission.RECORD_AUDIO" fixed="false"/>
    <permission name="android.permission.SEND_SMS" fixed="false"/>
    <permission name="android.permission.READ_CALENDAR" fixed="false"/>
    <permission name="android.permission.PROCESS_OUTGOING_CALLS" fixed="false"/>
    <permission name="android.permission.READ_SMS" fixed="false"/>
    <permission name="android.permission.RECEIVE_MMS" fixed="false"/>
    <permission name="android.permission.WRITE_CALL_LOG" fixed="false"/>
    <permission name="android.permission.ACCESS_COARSE_LOCATION" fixed="false"/>
  </exception>

  <!-- bug 16913 - Add permission for co.sitic.pp Sysdll-->
  <exception
    package="co.sitic.pp"
    sha256-cert-digest="F5:4C:AC:11:D5:AF:77:A5:F1:0C:21:D5:36:AD:5D:1C:40:B0:0D:63:A9:2C:AB:91:7A:A8:4D:C7:14:D6:22:D8">
    <permission name="android.permission.RECEIVE_SMS" fixed="false"/>
    <permission name="android.permission.READ_PHONE_STATE" fixed="false"/>
    <permission name="android.permission.CALL_PHONE" fixed="false" />
  </exception>

  <!-- +ExtB Rog-564, gaoweili.wt, add, 20210120, sysdll apk start -->
  <exception
    package="sk.sitic.pp"
    sha256-cert-digest="F5:4C:AC:11:D5:AF:77:A5:F1:0C:21:D5:36:AD:5D:1C:40:B0:0D:63:A9:2C:AB:91:7A:A8:4D:C7:14:D6:22:D8">
    <permission name="android.permission.RECEIVE_SMS" fixed="false"/>
    <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE" fixed="false" />
    <permission name="android.permission.READ_PHONE_STATE" fixed="false"/>
    <permission name="android.permission.CALL_PHONE" fixed="false" />
  </exception>
  <!-- -ExtB Rog-564, gaoweili.wt, add, 20210120, sysdll apk end -->

<!--+ExtB WVR-7533, muyuanyuan.wt, Add, 20201123,IMS entitlement support for O2 UK-->
   <exception package="com.google.android.wfcactivation">
    <!-- SMS -->
    <!-- Receive WAP push for Vodafone UK VoWiFi activation. -->
    <permission name="android.permission.RECEIVE_WAP_PUSH" fixed="false"/>
   </exception>
<!---ExtB WVR-7533, muyuanyuan.wt, Add, 20201123,IMS entitlement support for O2 UK-->

</exceptions>
